Sign in to follow this  
MattDavies

PTA - what version do I need?

Recommended Posts

Since lots of people run various versions of Prepar3D, and each version of Prepar3D has it's own specific needs in terms of shader support, I've compiled a list of PTA versions and what Prepar3D releases they support.

You can read more about the individual PTA releases here: http://simtweaks.com/release

 LATEST  PTA 2.62 - Prepar3D v4.3 only - DOWNLOAD

PTA 2.61 - Prepar3D v4.2 only - DOWNLOAD

PTA 2.60 - Prepar3D v4.0/v4.1 only - DOWNLOAD

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this